aboutsummaryrefslogtreecommitdiff
path: root/test/run_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/run_test.sh')
-rwxr-xr-xtest/run_test.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/test/run_test.sh b/test/run_test.sh
index bee8b3741..c7079788c 100755
--- a/test/run_test.sh
+++ b/test/run_test.sh
@@ -4,6 +4,14 @@
testname=${2:-${1}}
testname=${testname%.rb}
+if test -f "$TEST_SCRIPT_DIR""${testname}"_"cleanup.sh" ; then
+ echo ">>> cleanup for test ${testname}"
+ if ! "$TEST_SCRIPT_DIR""${testname}"_"cleanup.sh" ; then
+ echo ">>> exiting with error for test ${testname}"
+ exit 255
+ fi
+fi
+
if test -f "$TEST_SCRIPT_DIR""${testname}"_"setup.sh" ; then
echo ">>> setup for test ${testname}"
if ! "$TEST_SCRIPT_DIR""${testname}"_"setup.sh" ; then